<?php
/**
 * Your existing code before modifications
 */
$folder_name = '';
// ... (your existing code before the modifications)

include('includes/header.php');

// Path to the intro video file
$introVideoPath = './api/intro.mp4';

if (isset($_POST['submit_3c'])) {
    // Read existing content of Zyx.json
    $jsonFilePath = './api/zyx.json';
    $jsonData = file_get_contents($jsonFilePath);
    $jsonArray = json_decode($jsonData, true);

    // Handle intro_video option
    $introVideoOption = isset($_POST['intro_video']) ? $_POST['intro_video'] : '';

    // Update the 'intro_video' value in Zyx.json
    $jsonArray['app_conf']['intro_video'] = $introVideoOption;

    // Save the updated configuration to Zyx.json
    $jsonData = json_encode($jsonArray, JSON_PRETTY_PRINT);
    file_put_contents($jsonFilePath, $jsonData);

    if (!empty($_FILES['video_upload']['name'])) {
        // Handle video upload
        $videoFileName = $_FILES['video_upload']['name'];
        $videoTmpName = $_FILES['video_upload']['tmp_name'];
        $videoUploadPath = './api/intro.mp4';

        // Move the uploaded file to the desired location
        if (move_uploaded_file($videoTmpName, $videoUploadPath)) {
            echo '';
        } else {
            echo 'Error uploading video.';
        }
    }

    header("Location: purple.php?");
}

// Read current 'intro_video' value from the JSON
$currentIntroVideoOption = isset($jsonArray['app_conf']['intro_video']) ? $jsonArray['app_conf']['intro_video'] : '';

?>
<!-- Begin Page Content -->
<div class="container-fluid">
    <!-- Page Heading -->
    <h1 class="h3 mb-1 text-gray-800 text-center"></h1>
    <!-- Content Row -->
    <div class="col-lg-6 mx-auto">
        <div class="wrapper">
            <!-- Custom codes -->
            <div class="card border-left-primary alert-primary shadow h-100 card shadow mb-4">
                <div class="card-header py-3" style="background-color: black; color: white;">
                    <h3 class="m-0 font-weight-bold text-center"><i class="fas fa-film"></i> INTRO VIDEO </h3>
                </div>
                <div class="card-body text-center">
                    <form method="post" enctype="multipart/form-data">
                        <div class="form-group">
                            <label class="control-label requiredField" for="intro_video">
                                <strong> Intro Video On Startup 
                                    <?php echo $currentIntroVideoOption; ?>
                                </strong>
                            </label>
                            <p>
                                <label>True
                                    <input type="radio" name="intro_video" value="true" <?php if ($currentIntroVideoOption == 'true') {
                                        echo 'checked="checked"';
                                    } ?> />
                                </label>
                                <label>False
                                    <input type="radio" name="intro_video" value="false" <?php if ($currentIntroVideoOption == 'false') {
                                        echo 'checked="checked"';
                                    } ?> />
                                </label>
                            </p>
                        </div>
                        <div class="form-group">
                            <label for="video_upload">Upload/Update Intro Video (MP4):</label>
                            <input type="file" name="video_upload" accept="video/mp4">
                        </div>
                        <div class="form-group">
                            <button class="btn btn-primary btn-icon-split" name="submit_3c" type="submit">
                                <span class="icon text-white-50"><i class="fas fa-check"></i></span><span class="text">Submit</span>
                            </button>
                        </div>
                    </form>
                    <!-- Video Preview Box -->
                    <div class="video-preview-box mt-4">
                        <p class="text-center mb-2">Video Preview</p>
                        <video controls width="80%" height="auto">
                            <source src="<?php echo $introVideoPath . '?' . time(); ?>" type="video/mp4">
                            Your browser does not support the video tag.
                        </video>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- ... (any other HTML content or scripts) -->
<?php include('includes/footer.php'); ?>
</html>
