<?php
// Path to the api.php file
$apiFilePath = './api/api.php';

// Path to the zyx.json file in the same folder as api.php
$zyxFilePath = './api/zyx.json';

// Function to get the current sport_guide value from zyx.json
function getCurrentSportGuideValue($filePath)
{
    $fileContent = file_get_contents($filePath);
    $jsonData = json_decode($fileContent, true);

    return $jsonData['sport_guide']['sport_guide'] ?? '';
}

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['submit'])) {
    // Get the new sport_guide URL from the form
    $newSportGuideValue = isset($_POST['sport_guide']) ? $_POST['sport_guide'] : '';

    // Update api.php
    updateFile($apiFilePath, $newSportGuideValue);

    // Update zyx.json
    updateZyxFile($zyxFilePath, $newSportGuideValue);

    echo 'Sport Guide URL has been updated successfully.';
}

// Function to update the sport_guide value in api.php
function updateFile($filePath, $newSportGuideValue)
{
    $fileContent = file_get_contents($filePath);
    $updatedFileContent = preg_replace('/("sport_guide":\s*")([^"]+)(")/', '$1' . $newSportGuideValue . '$3', $fileContent);

    if ($updatedFileContent !== null) {
        file_put_contents($filePath, $updatedFileContent);
    } else {
        echo 'Error: Unable to update "sport_guide" value in ' . $filePath . '.';
    }
}

// Function to update the sport_guide value in zyx.json
function updateZyxFile($filePath, $newSportGuideValue)
{
    $fileContent = file_get_contents($filePath);
    $jsonData = json_decode($fileContent, true);
    $jsonData['sport_guide']['sport_guide'] = $newSportGuideValue;
    $updatedFileContent = json_encode($jsonData, JSON_PRETTY_PRINT);

    if ($updatedFileContent !== false) {
        file_put_contents($filePath, $updatedFileContent);
    } else {
        echo 'Error: Unable to update "sport_guide" value in ' . $filePath . '.';
    }
}

include('includes/header.php');
?>

<div class="col-md-6 mx-auto">
    <div class="modal fade" id="how2" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <!-- Modal content goes here -->
    </div>
    <div class="card-body" style="padding: 20px;">
        <div class="card bg-primary text-white" style="padding: 20px;">
            <div class="card-header" style="background-color: black; color: white; padding: 15px;">
                <center>
                    <h3 style="font-weight: bold; font-size: 26px;">TV Sports Guide</h3>
                </center>
            </div>
            <!-- Card content goes here -->
            <form method="post" action="">
                <label for="sport_guide" style="margin-top: 10px;">  Current Sport Guide URL:</label>
                <input class="form-control" type="text" id="sport_guide" name="sport_guide" value="<?php echo getCurrentSportGuideValue($zyxFilePath); ?>" readonly style="margin-bottom: 20px;">

                <!-- WebView box to visualize the sport guide link -->
                <iframe src="<?php echo getCurrentSportGuideValue($zyxFilePath); ?>" width="100%" height="300"></iframe>

                <label for="new_sport_guide" style="margin-top: 10px;">   Enter New Sport Guide URL:</label>
                <input class="form-control" type="text" id="new_sport_guide" name="sport_guide" required style="margin-bottom: 10px;">
                <button class="btn btn-info" type="submit" name="submit" style="margin-top: 10px;">
                    <i class="fa fa-check"></i> Update Sport Guide
                </button>
            </form>
        </div>
    </div>
</div>

<?php include('includes/footer.php'); ?>

</body>
</html>